
double mzk (double r0, double r1, double s0, double s1, double s2, double p_a_zeta_threshold, double p_a_dens_threshold) {
    return ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*(-(r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))
)) + ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*((r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))
));
}

double func_mf_der_r0 (double r0, double r1, double s0, double s1, double s2, double p_a_zeta_threshold, double p_a_dens_threshold) {
    return (r0 + r1)*(((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*(-(r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.18028119628842601*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 0.80400000000000005))*pow(r0 + r1, -0.66666666666666674)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   )) - 0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      0
   )
   : (
      1.3333333333333333*pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 0.33333333333333326)*((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1 || p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         0
      )
      : (
         (r0 - r1)/pow(r0 + r1, 2) - 1/(r0 + r1)
      ))
   ))
)) + ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*((r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   0.027190191964917291*pow(M_PI, -1.6666666666666665)*pow(r0, -3.6666666666666665)*s0*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))/pow(0.023448539988350059*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 1, 2) - 0.18028119628842601*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 0.80400000000000005))*pow(r0 + r1, -0.66666666666666674)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   )) - 0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      0
   )
   : (
      1.3333333333333333*pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 0.33333333333333326)*((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1 || p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         0
      )
      : (
         -(r0 - r1)/pow(r0 + r1, 2) + 1.0/(r0 + r1)
      ))
   ))
))) + ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*(-(r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))
)) + ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*((r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))
));
}

double func_mf_der_r1 (double r0, double r1, double s0, double s1, double s2, double p_a_zeta_threshold, double p_a_dens_threshold) {
    return (r0 + r1)*(((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*(-(r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   0.027190191964917291*pow(M_PI, -1.6666666666666665)*pow(r1, -3.6666666666666665)*s2*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))/pow(0.023448539988350059*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 1, 2) - 0.18028119628842601*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 0.80400000000000005))*pow(r0 + r1, -0.66666666666666674)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   )) - 0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      0
   )
   : (
      1.3333333333333333*pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 0.33333333333333326)*((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1 || p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         0
      )
      : (
         (r0 - r1)/pow(r0 + r1, 2) + 1.0/(r0 + r1)
      ))
   ))
)) + ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*((r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.18028119628842601*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 0.80400000000000005))*pow(r0 + r1, -0.66666666666666674)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   )) - 0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      0
   )
   : (
      1.3333333333333333*pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 0.33333333333333326)*((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1 || p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         0
      )
      : (
         -(r0 - r1)/pow(r0 + r1, 2) - 1/(r0 + r1)
      ))
   ))
))) + ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*(-(r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))
)) + ((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*((r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.54084358886527806*pow(M_PI, -0.33333333333333331)*(1.804 - 0.6464160000000001/(0.018852626150633447*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 0.80400000000000005))*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))
));
}

double func_mf_der_s0 (double r0, double r1, double s0, double s1, double s2, double p_a_zeta_threshold, double p_a_dens_threshold) {
    return (r0 + r1)*((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*((r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.010196321986843986*pow(M_PI, -1.6666666666666665)*pow(r0, -2.6666666666666665)*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         (r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))/pow(0.023448539988350059*pow(M_PI, -1.3333333333333333)*pow(r0, -2.6666666666666665)*s0 + 1, 2)
));
}

double func_mf_der_s1 (double r0, double r1, double s0, double s1, double s2, double p_a_zeta_threshold, double p_a_dens_threshold) {
    return 0;
}

double func_mf_der_s2 (double r0, double r1, double s0, double s1, double s2, double p_a_zeta_threshold, double p_a_dens_threshold) {
    return (r0 + r1)*((p_a_dens_threshold >= 0.5*pow(r0 + r1, 1.0)*(-(r0 - r1)/(r0 + r1) + 1)) ? (
   0
)
: (
   -0.010196321986843986*pow(M_PI, -1.6666666666666665)*pow(r1, -2.6666666666666665)*pow(r0 + r1, 0.33333333333333331)*((((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
      p_a_zeta_threshold <= p_a_zeta_threshold
   )
   : (
      ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold >= 2 - p_a_zeta_threshold
      )
      : (
         p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1
      ))
   ))) ? (
      pow(p_a_zeta_threshold, 1.3333333333333333)
   )
   : (
      pow(((p_a_zeta_threshold >= -(r0 - r1)/(r0 + r1) + 1) ? (
         p_a_zeta_threshold - 1
      )
      : ((p_a_zeta_threshold >= (r0 - r1)/(r0 + r1) + 1) ? (
         1 - p_a_zeta_threshold
      )
      : (
         -(r0 - r1)/(r0 + r1)
      ))) + 1, 1.3333333333333333)
   ))/pow(0.023448539988350059*pow(M_PI, -1.3333333333333333)*pow(r1, -2.6666666666666665)*s2 + 1, 2)
));
}


void func_pol_gen(
    const xc_func_type *p, int order, const double *my_rho, const double *my_sigma, double *izk,
    double *ivrho, double *ivsigma, double *iv2rho2, double *iv2rhosigma, double *iv2sigma2,
    double *iv3rho3, double *iv3rho2sigma, double *iv3rhosigma2, double *iv3sigma3,
    double *iv4rho4, double *iv4rho3sigma, double *iv4rho2sigma2, double *iv4rhosigma3, double *iv4sigma4) {
    const double x0 = my_rho[0] - my_rho[1];
    const double x1 = my_rho[0] + my_rho[1];
    const double x2 = 1.0/x1;
    const double x3 = x0*x2;
    const double x4 = x3 + 1;
    const double x5 = 0.5*pow(x1, 1.0);
    const double x6 = p->dens_threshold >= x4*x5;
    const double x7 = pow(x1, 0.33333333333333331);
    const double x8 = pow(p->zeta_threshold, 1.3333333333333333);
    const double x9 = p->zeta_threshold >= x4;
    const double x10 = p->zeta_threshold <= p->zeta_threshold;
    const double x11 = -x3;
    const double x12 = x11 + 1;
    const double x13 = p->zeta_threshold >= x12;
    const double x14 = -p->zeta_threshold;
    const double x15 = p->zeta_threshold >= x14 + 2;
    const double x16 = ((x9) ? (
   x10
)
: (
   ((x13) ? (
      x15
   )
   : (
      x9
   ))
));
    const double x17 = p->zeta_threshold - 1;
    const double x18 = x14 + 1;
    const double x19 = ((x9) ? (
   x17
)
: ((x13) ? (
   x18
)
: (
   x3
))) + 1;
    const double x20 = ((x16) ? (
   x8
)
: (
   pow(x19, 1.3333333333333333)
));
    const double x21 = x20*x7;
    const double x22 = pow(M_PI, -1.3333333333333333);
    const double x23 = 0.018852626150633447*x22;
    const double x24 = pow(my_rho[0], -2.6666666666666665);
    const double x25 = my_sigma[0]*x24;
    const double x26 = 1.804 - 0.6464160000000001/(x23*x25 + 0.80400000000000005);
    const double x27 = pow(M_PI, -0.33333333333333331);
    const double x28 = 0.54084358886527806*x27;
    const double x29 = x26*x28;
    const double x30 = p->dens_threshold >= x12*x5;
    const double x31 = pow(my_rho[1], -2.6666666666666665);
    const double x32 = my_sigma[2]*x31;
    const double x33 = 1.804 - 0.6464160000000001/(x23*x32 + 0.80400000000000005);
    const double x34 = ((x13) ? (
   x10
)
: (
   ((x9) ? (
      x15
   )
   : (
      x13
   ))
));
    const double x35 = ((x13) ? (
   x17
)
: ((x9) ? (
   x18
)
: (
   x11
))) + 1;
    const double x36 = ((x34) ? (
   x8
)
: (
   pow(x35, 1.3333333333333333)
));
    const double x37 = x33*x36;
    const double x38 = x28*x7;
    const double x39 = ((x30) ? (
   0
)
: (
   -x37*x38
)) + ((x6) ? (
   0
)
: (
   -x21*x29
));
    const double x40 = 0.18028119628842601*pow(x1, -0.66666666666666674)*x27;
    const double x41 = -x37*x40;
    const double x42 = x13 || x9;
    const double x43 = -x2;
    const double x44 = x0/pow(x1, 2);
    const double x45 = 1.3333333333333333*pow(x35, 0.33333333333333326);
    const double x46 = x33*x38;
    const double x47 = -x20*x26*x40;
    const double x48 = 0.023448539988350059*x22;
    const double x49 = x21/pow(x25*x48 + 1, 2);
    const double x50 = pow(M_PI, -1.6666666666666665);
    const double x51 = 0.027190191964917291*x50;
    const double x52 = -x44;
    const double x53 = 1.3333333333333333*pow(x19, 0.33333333333333326);
    const double x54 = x29*x7;
    const double x55 = x36*x7/pow(x32*x48 + 1, 2);
    const double x56 = 0.010196321986843986*x50;
    izk[0] = x39;
    ivrho[0] = x1*x39;
    ivrho[1] = x1*(((x30) ? (
   0
)
: (
   x41 - x46*((x34) ? (
      0
   )
   : (
      x45*((x42) ? (
         0
      )
      : (
         x43 + x44
      ))
   ))
)) + ((x6) ? (
   0
)
: (
   pow(my_rho[0], -3.6666666666666665)*my_sigma[0]*x49*x51 + x47 - x54*((x16) ? (
      0
   )
   : (
      x53*((x42) ? (
         0
      )
      : (
         x2 + x52
      ))
   ))
))) + x39;
    ivsigma[0] = x1*(((x30) ? (
   0
)
: (
   pow(my_rho[1], -3.6666666666666665)*my_sigma[2]*x51*x55 + x41 - x46*((x34) ? (
      0
   )
   : (
      x45*((x42) ? (
         0
      )
      : (
         x2 + x44
      ))
   ))
)) + ((x6) ? (
   0
)
: (
   x47 - x54*((x16) ? (
      0
   )
   : (
      x53*((x42) ? (
         0
      )
      : (
         x43 + x52
      ))
   ))
))) + x39;
    ivsigma[1] = x1*((x6) ? (
   0
)
: (
   -x24*x49*x56
));
    ivsigma[2] = 0;
}

