#include "xc.h"
#include "util.h"

#ifndef __REGISTERED_FUNCS_H__
#define __REGISTERED_FUNCS_H__

xc_functional_key_t xc_functional_keys[] = {
{"gga_x_pbe_mol", 49},
{"gga_x_pbe_tca", 59},
{"gga_x_pbe", 101},
{"gga_x_pbe_r", 102},
{"gga_x_pbe_sol", 116},
{"gga_x_pbe_jsjr", 126},
{"gga_x_pbek1_vdw", 140},
{"gga_x_pbefe", 265},
{"gga_x_pbe_mol_genxc", 1049},
{"gga_x_pbe_tca_genxc", 1059},
{"gga_x_pbe_genxc", 1101},
{"gga_x_pbe_r_genxc", 1102},
{"gga_x_pbe_sol_genxc", 1116},
{"gga_x_pbe_jsjr_genxc", 1126},
{"gga_x_pbek1_vdw_genxc", 1140},
{"gga_x_pbefe_genxc", 1265},
{"", -1},
};

extern xc_func_info_type xc_func_info_gga_x_pbe_mol;
extern xc_func_info_type xc_func_info_gga_x_pbe_tca;
extern xc_func_info_type xc_func_info_gga_x_pbe;
extern xc_func_info_type xc_func_info_gga_x_pbe_r;
extern xc_func_info_type xc_func_info_gga_x_pbe_sol;
extern xc_func_info_type xc_func_info_gga_x_pbe_jsjr;
extern xc_func_info_type xc_func_info_gga_x_pbek1_vdw;
extern xc_func_info_type xc_func_info_gga_x_pbefe;
extern xc_func_info_type xc_func_info_gga_x_bcgp;
extern xc_func_info_type xc_func_info_gga_x_pbe_mol_genxc;
extern xc_func_info_type xc_func_info_gga_x_pbe_tca_genxc;
extern xc_func_info_type xc_func_info_gga_x_pbe_genxc;
extern xc_func_info_type xc_func_info_gga_x_pbe_r_genxc;
extern xc_func_info_type xc_func_info_gga_x_pbe_sol_genxc;
extern xc_func_info_type xc_func_info_gga_x_pbe_jsjr_genxc;
extern xc_func_info_type xc_func_info_gga_x_pbek1_vdw_genxc;
extern xc_func_info_type xc_func_info_gga_x_pbefe_genxc;
extern xc_func_info_type xc_func_info_gga_x_bcgp_genxc;

const xc_func_info_type *xc_lda_known_funct[] = {};
const xc_func_info_type *xc_mgga_known_funct[] = {};
const xc_func_info_type *xc_gga_known_funct[] = {
  &xc_func_info_gga_x_pbe_mol,
  &xc_func_info_gga_x_pbe_tca,
  &xc_func_info_gga_x_pbe,
  &xc_func_info_gga_x_pbe_r,
  &xc_func_info_gga_x_pbe_sol,
  &xc_func_info_gga_x_pbe_jsjr,
  &xc_func_info_gga_x_pbek1_vdw,
  &xc_func_info_gga_x_pbefe,
  &xc_func_info_gga_x_bcgp,
  &xc_func_info_gga_x_pbe_mol_genxc,
  &xc_func_info_gga_x_pbe_tca_genxc,
  &xc_func_info_gga_x_pbe_genxc,
  &xc_func_info_gga_x_pbe_r_genxc,
  &xc_func_info_gga_x_pbe_sol_genxc,
  &xc_func_info_gga_x_pbe_jsjr_genxc,
  &xc_func_info_gga_x_pbek1_vdw_genxc,
  &xc_func_info_gga_x_pbefe_genxc,
  &xc_func_info_gga_x_bcgp_genxc,
};

#endif
